<div class="container">

  <div class="col-md-10 col-md-offset-1">

    <h2>Mes matchings (<%= @matches.count %>)</h2>

    <% if @matches.count == 0 %>
      <div class="availability_presence">Vous n'avez pas encore de matching avec des offres de vacation!</div>
      <div class="availability_presence">Remplissez vite vos disponibilités pour voir vos matchings et permettre aux Centres de Loisirs de vous contacter: </div>
      <%= link_to user_path(current_user, :anchor => "calendar"), method: :get do %>
        <div class="btn btn-aaa btn-turquoise">
          <i class="fa fa-calendar"></i>
          <span>Remplir mes disponibilités</span>
        </div>
      <% end %>

    <% else %>
      <% @matches.each do |offer| %>

          <div class="panel panel-default offers-item">
            <div class="offer-desc">
              <div class="offer-desc_school">
                <%= link_to school_path(offer.school) do %>
                    <div class="offer-desc_school_name"><%= offer.school.name.titleize %></div>
                    <div class="offer-desc_school_address"><%= offer.school.address %></div>
                <% end %>
              </div>
              <div class="offer-desc_date">
                <div class="offer-desc_date_day">
                  <div><i class="fa fa-calendar-o "></i> <%= l offer.date.to_date, format: '%A' %> <%= l offer.date.to_date, format: :long %></div>

                </div>
                <div class="offer-desc_date_time_slot badge tealish"><i class="fa fa-clock-o fa-lg"></i> <%= offer.time_slot %></div>
                <% if offer.date.to_date == DateTime.now.to_date %>
                    <div class="offer-desc_date_urgent badge urgent"><i class="fa fa-exclamation fa-lg"></i> Urgent</div>
                <% end %>
                <div class="offer-tags">
                  <% offer.diplomas.each do |diploma|  %>
                      <div class="offer-tags_diploma <%= diploma.name != "Aucun diplôme" ? "badge butterscotch" : "badge" %>">
                        <i class="fa fa-graduation-cap fa-lg"></i><%= diploma.name %></div>
                  <% end %>
                </div>
              </div>

            </div>

            <% if user_signed_in? %>
                <div class="offer-apply">
                  <div class="btn btn-pink" data-toggle="modal" data-target="#center-<%= offer.id %>">Postuler</div>
                </div>
                <!-- Modal -->
                <div class="modal fade" id="center-<%= offer.id %>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                  <div class="modal-dialog" role="document">
                    <div class="modal-content offer-call-school">
                      <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title" id="myModalLabel">Vacation du <%= l offer.date.to_date, format: '%A' %> <%= l offer.date.to_date, format: :long %>
                        </h4>
                        <div class="offer-desc_date_time_slot badge tealish"><i class="fa fa-clock-o fa-lg"></i> <%= offer.time_slot %></div>
                        <span class="offer-tags_diploma">
                          <% offer.diplomas.each do |diploma|  %>
                    <div class="offer-tags_diploma <%= diploma.name != "Aucun diplôme" ? "badge butterscotch" : "badge" %>">
                      <i class="fa fa-graduation-cap fa-lg"></i><%= diploma.name %></div>
                <% end %>
                      </span>
                        <% if offer.date.to_date == DateTime.now.to_date %> <span class="offer-desc_date_urgent badge urgent"><i class="fa fa-exclamation fa-lg"></i> Urgent</span>
                        <% end %>
                      </div>
                      <div class="modal-body">
                        <h4>Appelez directement le Centre de Loisirs pour postuler</h4>
                        <div>Ecole <%= offer.school.name.titleize %></div>
                        <div>
                          <div><%= offer.center.first_name %> <%= offer.center.last_name %> </div>
                          <div class="offer-call-number"><i class="fa fa-phone fa-lg tealish-font"></i> <a class="tealish-font" href="tel:<%= offer.center.phone_number %>"><%= offer.center.phone_number %></a></div>
                        </div>
                      </div>
                      <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                      </div>
                    </div>
                  </div>
                </div>
            <% end %>
          </div>
      <% end %>
    <% end %>
  </div>
</div>

<script>

    $(".offers-item")
        .mouseenter(function() {
            $(this).children(".offer-apply").css("opacity", "1");
        })
        .mouseleave(function() {
            $(this).children(".offer-apply").css("opacity", "0");
        })

</script>